package com.liquidnet.service.base.constant;

public class MQConst {
    public enum AdamQueue {
        SMS_NOTICE("adam:stream:rk.sms.notice", "group.sms.sender", "短信通知"),
//        SMS_SPREAD("adam:stream:rk.sms.spread", "group.sms.sender", "短信推广"),

        SQL_UREGISTER("adam:stream:rk.sql.uregister", "group.sql.ucenter", "用户注册"),
        SQL_UCENTER("adam:stream:rk.sql.ucenter", "group.sql.ucenter", "用户中心"),
        SQL_UMEMBER("adam:stream:rk.sql.umember", "group.sql.ucenter", "购买会员"),
        ;
        private final String key;
        private final String group;
        private final String desc;

        AdamQueue(String key, String group, String desc) {
            this.key = key;
            this.group = group;
            this.desc = desc;
        }

        public String getKey() {
            return key;
        }

        public String getGroup() {
            return group;
        }

        public String getDesc() {
            return desc;
        }
    }

    public enum KylinQueue {
        SMS_NOTICE("adam:stream:rk.sms.notice", "group.sms.sender", "短信通知"),
//        SMS_SPREAD("adam:stream:rk.sms.spread", "group.sms.sender", "短信推广"),

        SQL_PERFORMANCE_LACK("kylin:stream:rk.performance.lack", "group.performance.lack", "缺票登记"),
        SQL_ORDER_CREATE("kylin:stream:rk.order.create", "group.order.create", "创建订单"),
        SQL_ORDER_AGAIN("kylin:stream:rk.order.again", "group.order.again", "订单再次支付"),
        SQL_ORDER_CLOSE("kylin:stream:rk.order.close", "group.order.close", "订单关闭"),
        SQL_ORDER_PAY("kylin:stream:rk.order.pay", "group.order.pay", "订单支付"),
        SQL_ORDER_REFUND("kylin:stream:rk.order.refund", "group.order.refund", "订单申请退款"),
        SQL_ORDER_WITHDRAW("kylin:stream:rk.order.withdraw", "group.order.withdraw", "订单申请撤回"),
        SQL_ORDER_OVERTIME_REFUND("kylin:stream:rk.order.overtime.refund", "group.order.overtime.refund", "超时支付申请退款"),
        SQL_STATION("kylin:stream:rk.station", "group.station", "验票更新"),
        ;
        private final String key;
        private final String group;
        private final String desc;

        KylinQueue(String key, String group, String desc) {
            this.key = key;
            this.group = group;
            this.desc = desc;
        }

        public String getKey() {
            return key;
        }

        public String getGroup() {
            return group;
        }

        public String getDesc() {
            return desc;
        }
    }


    public enum SweetQueue {
        ARTISTS_RELATION("sweet:stream:rk.artists.relation", "group.artists.relation", "用户-关系"),
        ;

        private final String key;
        private final String group;
        private final String desc;

        SweetQueue(String key, String group, String desc) {
            this.key = key;
            this.group = group;
            this.desc = desc;
        }

        public String getKey() {
            return key;
        }

        public String getGroup() {
            return group;
        }

        public String getDesc() {
            return desc;
        }
    }
}
